Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.security
Class Jsf12FaceletsAuthorizeTag

    java.lang.Object
      org.springframework.faces.security.AbstractAuthorizeTag
          org.springframework.faces.security.Jsf12FaceletsAuthorizeTag

    public class Jsf12FaceletsAuthorizeTag

extends AbstractAuthorizeTag

A concrete implementation of `AbstractAuthorizeTag` for use with Facelets rendering technology in JSF 1.2 environments.

Since:
  2.2.0
Author:
  Rossen Stoyanchev
See Also:
  `FaceletsAuthorizeTag`

Constructor Summary
`Jsf12FaceletsAuthorizeTag()` A default constructor.
`Jsf12FaceletsAuthorizeTag(com.sun.facelets.FaceletContext faceletContext, com.sun.facelets.tag.TagAttribute access, com.sun.facelets.tag.TagAttribute url, com.sun.facelets.tag.TagAttribute method, com.sun.facelets.tag.TagAttribute ifAllGranted, com.sun.facelets.tag.TagAttribute ifAnyGranted, com.sun.facelets.tag.TagAttribute ifNotGranted)` A class constructor for use in a `TagHandler`.

Method Summary
`protected javax.servlet.ServletRequest` | `getRequest()` This method allows subclasses to provide a way to access the ServletRequest according to the rendering technology.
`protected javax.servlet.ServletResponse` | `getResponse()` This method allows subclasses to provide a way to access the ServletResponse according to the rendering technology.
`protected javax.servlet.ServletContext` | `getServletContext()` This method allows subclasses to provide a way to access the ServletContext according to the rendering technology.

Methods inherited from class org.springframework.faces.security.AbstractAuthorizeTag
`authorize, authorizeUsingAccessExpression, authorizeUsingGrantedAuthorities, authorizeUsingUrlCheck, getAccess, getIfAllGranted, getIfAnyGranted, getIfNotGranted, getMethod, getUrl, setAccess, setIfAllGranted, setIfAnyGranted, setIfNotGranted, setMethod, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsf12FaceletsAuthorizeTag

    public Jsf12FaceletsAuthorizeTag(com.sun.facelets.FaceletContext faceletContext,
                                     com.sun.facelets.tag.TagAttribute access,
                                     com.sun.facelets.tag.TagAttribute url,
                                     com.sun.facelets.tag.TagAttribute method,
                                     com.sun.facelets.tag.TagAttribute ifAllGranted,
                                     com.sun.facelets.tag.TagAttribute ifAnyGranted,
                                     com.sun.facelets.tag.TagAttribute ifNotGranted)

  A class constructor for use in a `TagHandler`. Accepts all possible tag attributes as `TagAttribute` instances. The constructor extracts the attribute values by evaluating them as Unified EL expressions. This excludes the access attribute, which is expected to be a Spring EL expression.

  Parameters:
    `faceletContext` - the current FaceletContext
    `access` - the access attribute or null
    `url` - the url attribute or null
    `method` - the method attribute or null
    `ifAllGranted` - the ifAllGranted attribute or null
    `ifAnyGranted` - the ifAnyGranted attribute or null
    `ifNotGranted` - the ifNotGranted attribute or null

### Jsf12FaceletsAuthorizeTag

    public Jsf12FaceletsAuthorizeTag()

  A default constructor. Callers of this constructor are responsible for setting one or more of the tag attributes in `AbstractAuthorizeTag`.

Method Detail

### getRequest

    protected javax.servlet.ServletRequest getRequest()

  Description copied from class: `AbstractAuthorizeTag`
  This method allows subclasses to provide a way to access the ServletRequest according to the rendering technology.

  Specified by:
    `getRequest` in class `AbstractAuthorizeTag`

### getResponse

    protected javax.servlet.ServletResponse getResponse()

  Description copied from class: `AbstractAuthorizeTag`
  This method allows subclasses to provide a way to access the ServletResponse according to the rendering technology.

  Specified by:
    `getResponse` in class `AbstractAuthorizeTag`

### getServletContext

    protected javax.servlet.ServletContext getServletContext()

  Description copied from class: `AbstractAuthorizeTag`
  This method allows subclasses to provide a way to access the ServletContext according to the rendering technology.

  Specified by:
    `getServletContext` in class `AbstractAuthorizeTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD